<?
include 'config.php';
include 'func.php';
head();
aut();
ban();
####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'blacklist' WHERE `id` = '".$id_session."'");
####################################################
echo head . "Черный список" . div; 

switch ( $_GET['mod'] ) {
    
    default:
             if ( $_GET['msg'] == 'add_yes') {
        echo link1 . 'Вы успешно добавили пользователя в черный список' . div;
    }
    
    if ( $_GET['msg'] == 'add_error' ) {
        echo link1 . 'Возникла ошибка' . div;
    }
    
    if ( $_GET['msg'] == 'delete_yes' ) {
        echo link1 . 'Вы успешно удалили пользователя их черного списка' . div;
    }
    if ( $_GET['msg'] == 'delete_error' ) {
        echo link1 . 'Возникла ошибка' . div;
    }   
    
    $all = mysql_result(mysql_query("SELECT count(*) FROM `blacklist` WHERE `user_1` = '".$id_session."'"), 0); 
    echo ' <div class="link2"><a href="blacklist.php?mod=search">Добавить</a><br/ >';
    echo ' <a href="blacklist.php?mod=list">Черный список</a> ['.$all.']</div>';
    
    break;
    
    
    
    
    case 'search':
    if (isset($_POST['submit'])) {
        
        $id = html($_POST['id']);
        
        
        echo '<div class="link1"><b>Результаты:</b></div>';
        
        if ( empty($id) ) {
            
            echo link2 . 'Вы ничего не ввели' . div;
            
        } else {
        
        
        
        if ( is_numeric($id) ) 
            $result = mysql_query("SELECT * FROM `profile` WHERE `id` = '".$id."';");
            else
            $result = mysql_query("SELECT * FROM `profile` WHERE `login` LIKE '%".html(urldecode($id))."%';");
            $total = mysql_result(mysql_query('SELECT FOUND_ROWS()'), 0);
            if ( $total == 0 ) {
                echo link2 . 'Совпадений не найдено' . div;
            
            } else { 
            
            //echo katalog;
            while($res = mysql_fetch_assoc($result)) {
                
                    mysql_query ("Select * from blacklist WHERE (user_1 = '".$id_session."') and (user_2 = '".$res['id']."')");
                    if(mysql_affected_rows()!=0) $status = '[в игноре]'; else $status;
                echo '<div class="link2">'.user($res['id']).' [<a href="blacklist.php?mod=add&user='.$res['id'].'">Добавить</a>] '.$status.'</div>';
                
            }
            echo div;
            
            }
            
            }
        
        
    }
    echo div. katalog;
    echo 'Введите ID или логин:<br/ >';
    echo "<form method=\"post\" action=\"blacklist.php?mod=search\">";
    echo "<input name=\"id\" maxlength=\"25\"/>";
    echo "<input name=\"submit\" type=\"submit\" class=\"button\"  value=\"Поиск\"/></form>" . div;    
    
    break;
    
    
    case 'add':
    
    $id = num($_GET['user']);
    
    $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$id."'"));
    
    if ( empty($user['id']) ) {
        
        echo link2 . 'Пользователь не найден' . div;
        navig();
        foot();
        exit();
    }
    
    if ( $user['id'] == $id_session ) {
        
        echo link2 . 'Вы не можете себя добавить' . div;
        navig();
        foot();
        exit();
    }  
    
      
    mysql_query ("Select * from blacklist WHERE (user_1 = '".$id_session."') and (user_2 = '".$user['id']."')");
    if(mysql_affected_rows()!=0) {
        echo link2 . 'Пользователь '.$user['login'].' уже есть у вас в черном списке' . div;
        navig();
        foot();
        exit();
    }    
    
    $result = mysql_query("INSERT INTO `blacklist` SET  `user_1` = '".$id_session."', `user_2` = '".$user['id']."', `date` = '".time()."'");

    $msg = 'Пользователь <b>'.$login_session.'</b> добавил вас в черный список';
    mysql_query("INSERT INTO `uvedom` SET  `user_to` = '".$user['id']."', `user_ot` = '".$id_session."', `msg` = '".$msg."', `date` = '".time()."', `md` = 'black', `status` = '1'");

    
    if ( $result != NULL )
        echo rew('blacklist.php?msg=add_yes');
        else
        echo rew('blacklist.php?msg=add_error');
    break;
    
    case 'list':
    
    
    $id = num($_GET['id']);
    

    if ( empty($id) ) 
    $us = $id_session;
    else
    $us = $id;
    $all = mysql_result(mysql_query("SELECT count(*) FROM `blacklist` WHERE `user_1` = '".$us."'"), 0);
    
    if ( $all == 0 ) echo 'Черный список пуст<br/ >';
    echo link2;
    $result = mysql_query("SELECT * FROM `blacklist` WHERE `user_1` = '".$us."'");
    while($res = mysql_fetch_assoc($result)) {
        $us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$res['user_1']."'"));
        echo xstatus($us['xstatus'], $res['user_2']).' ' . user($res['user_2']) .' [<a href="blacklist.php?mod=delete&id='.$res['user_2'].'">x</a>]<br/ >';
    }
    echo div;
    break;
    
   
    
    
       case 'delete':
    $id = num($_GET['id']);
    $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$id."'"));
        if ( empty($user['id']) ) {
        
        echo link2 . 'Пользователь не найден' . div;
        navig();
        foot();
        exit();
    }
    
        mysql_query ("Select * from blacklist WHERE (user1 = '".$id_session."') and (user_2 = '".$user['id']."')");
    if(mysql_affected_rows()==0) {
        echo link2 . 'Пользователь не состоит у вас в черном списке' . div;
        navig();
        foot();
        exit();
    }   
    $result = mysql_query("DELETE FROM blacklist WHERE (user_1 = '".$id_session."') and (user_2 = '".$user['id']."')");
    
    if ( $result != NULL )
        echo rew('blacklist.php?msg=delete_yes');
        else
        echo rew('blacklist.php?msg=delete_error');
    
    break;
    
}


navig();
foot();
?>